Subject: bug#60089: 29.0.60; eglot doesn't support csharp-ls language server [PATCH]

From: Jostein Kjønigsen <[email-masked]>
Date: Thu, 15 Dec 2022 22:49:39 +0100

On 15 Dec 2022, at 22:28, Stefan Kangas <[email-masked]> wrote:
> 
> Jostein Kjønigsen <[email-masked]> writes:
> 
>> Right now eglot only knows about the Omnisharp Roslyn language server
>> for C#.
>> 
>> csharp-ls[1] is another popular language server and is supported by
>> other LSP-clients, like lsp-mode.
>> 
>> Eglot should support it too.
>> 
>> Attached is a patch which introduces support for this language-server.
>> 
>> [1] https://github.com/razzmatazz/csharp-language-server
> 
> Could you give a rationale for why we should prefer omnisharp over
> csharp-ls?  Why not the other way around?
> 
> (I know nothing about C#.)

As far as presedence go, I have no personal preference here. 

I myself use csharp-ls, because it’s faster, but it’s newer with less lineage and only aims to support new “.net core” type projects. 

Omnisharp is not as fast, but has been around for a longer time and officially also supports “legacy”-style .net framework projects. 

As such it probably make sense to present Omnisharp as the default, since it offers the highest compatibility guarantees regardless of target code-base. 

—
Jostein Kjønigsen
https://jostein.kjønigsen.net